Makefile.in
changeset 350 0a71999c5f19
parent 324 37e00e508ba5
child 353 f76414a56c93
     1.1 --- a/Makefile.in	Sat Feb 16 04:44:29 2013 -0800
     1.2 +++ b/Makefile.in	Sat Feb 16 11:15:17 2013 -0800
     1.3 @@ -1,8 +1,9 @@
     1.4 -# Makefile.in generated by automake 1.10 from Makefile.am.
     1.5 +# Makefile.in generated by automake 1.11.3 from Makefile.am.
     1.6  # @configure_input@
     1.7  
     1.8  # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     1.9 -# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
    1.10 +# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
    1.11 +# Foundation, Inc.
    1.12  # This Makefile.in is free software; the Free Software Foundation
    1.13  # gives unlimited permission to copy and/or distribute it,
    1.14  # with or without modifications, as long as this notice is preserved.
    1.15 @@ -21,8 +22,9 @@
    1.16  
    1.17  VPATH = @srcdir@
    1.18  pkgdatadir = $(datadir)/@PACKAGE@
    1.19 +pkgincludedir = $(includedir)/@PACKAGE@
    1.20  pkglibdir = $(libdir)/@PACKAGE@
    1.21 -pkgincludedir = $(includedir)/@PACKAGE@
    1.22 +pkglibexecdir = $(libexecdir)/@PACKAGE@
    1.23  am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
    1.24  install_sh_DATA = $(install_sh) -c -m 644
    1.25  install_sh_PROGRAM = $(install_sh) -c
    1.26 @@ -60,15 +62,36 @@
    1.27   configure.lineno config.status.lineno
    1.28  mkinstalldirs = $(install_sh) -d
    1.29  CONFIG_CLEAN_FILES = SDL2_image.spec SDL2_image.pc
    1.30 +CONFIG_CLEAN_VPATH_FILES =
    1.31  am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
    1.32  am__vpath_adj = case $$p in \
    1.33      $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    1.34      *) f=$$p;; \
    1.35    esac;
    1.36 -am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
    1.37 +am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
    1.38 +am__install_max = 40
    1.39 +am__nobase_strip_setup = \
    1.40 +  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
    1.41 +am__nobase_strip = \
    1.42 +  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
    1.43 +am__nobase_list = $(am__nobase_strip_setup); \
    1.44 +  for p in $$list; do echo "$$p $$p"; done | \
    1.45 +  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
    1.46 +  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    1.47 +    if (++n[$$2] == $(am__install_max)) \
    1.48 +      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    1.49 +    END { for (dir in files) print dir, files[dir] }'
    1.50 +am__base_list = \
    1.51 +  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
    1.52 +  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
    1.53 +am__uninstall_files_from_dir = { \
    1.54 +  test -z "$$files" \
    1.55 +    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    1.56 +    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
    1.57 +         $(am__cd) "$$dir" && rm -f $$files; }; \
    1.58 +  }
    1.59  am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(pkgconfigdir)" \
    1.60  	"$(DESTDIR)$(libSDL2_imageincludedir)"
    1.61 -libLTLIBRARIES_INSTALL = $(INSTALL)
    1.62  LTLIBRARIES = $(lib_LTLIBRARIES)
    1.63  am__DEPENDENCIES_1 =
    1.64  am__libSDL2_image_la_SOURCES_DIST = IMG.c IMG_bmp.c IMG_gif.c \
    1.65 @@ -91,6 +114,7 @@
    1.66  DEFAULT_INCLUDES = -I.@am__isrc@
    1.67  depcomp = $(SHELL) $(top_srcdir)/depcomp
    1.68  am__depfiles_maybe = depfiles
    1.69 +am__mv = mv -f
    1.70  COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
    1.71  	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
    1.72  LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
    1.73 @@ -111,9 +135,7 @@
    1.74  	$(LDFLAGS) -o $@
    1.75  SOURCES = $(libSDL2_image_la_SOURCES) showimage.c
    1.76  DIST_SOURCES = $(am__libSDL2_image_la_SOURCES_DIST) showimage.c
    1.77 -pkgconfigDATA_INSTALL = $(INSTALL_DATA)
    1.78  DATA = $(pkgconfig_DATA)
    1.79 -libSDL2_imageincludeHEADERS_INSTALL = $(INSTALL_HEADER)
    1.80  HEADERS = $(libSDL2_imageinclude_HEADERS)
    1.81  ETAGS = etags
    1.82  CTAGS = ctags
    1.83 @@ -121,12 +143,16 @@
    1.84  distdir = $(PACKAGE)-$(VERSION)
    1.85  top_distdir = $(distdir)
    1.86  am__remove_distdir = \
    1.87 -  { test ! -d $(distdir) \
    1.88 -    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
    1.89 -         && rm -fr $(distdir); }; }
    1.90 +  if test -d "$(distdir)"; then \
    1.91 +    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
    1.92 +      && rm -rf "$(distdir)" \
    1.93 +      || { sleep 5 && rm -rf "$(distdir)"; }; \
    1.94 +  else :; fi
    1.95  DIST_ARCHIVES = $(distdir).tar.gz
    1.96  GZIP_ENV = --best
    1.97  distuninstallcheck_listfiles = find . -type f -print
    1.98 +am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
    1.99 +  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
   1.100  distcleancheck_listfiles = find . -type f -print
   1.101  ACLOCAL = @ACLOCAL@
   1.102  AMTAR = @AMTAR@
   1.103 @@ -197,6 +223,7 @@
   1.104  PACKAGE_NAME = @PACKAGE_NAME@
   1.105  PACKAGE_STRING = @PACKAGE_STRING@
   1.106  PACKAGE_TARNAME = @PACKAGE_TARNAME@
   1.107 +PACKAGE_URL = @PACKAGE_URL@
   1.108  PACKAGE_VERSION = @PACKAGE_VERSION@
   1.109  PATH_SEPARATOR = @PATH_SEPARATOR@
   1.110  PKG_CONFIG = @PKG_CONFIG@
   1.111 @@ -261,6 +288,7 @@
   1.112  srcdir = @srcdir@
   1.113  sysconfdir = @sysconfdir@
   1.114  target_alias = @target_alias@
   1.115 +top_build_prefix = @top_build_prefix@
   1.116  top_builddir = @top_builddir@
   1.117  top_srcdir = @top_srcdir@
   1.118  lib_LTLIBRARIES = libSDL2_image.la
   1.119 @@ -320,21 +348,21 @@
   1.120  
   1.121  .SUFFIXES:
   1.122  .SUFFIXES: .c .lo .m .o .obj
   1.123 -am--refresh:
   1.124 +am--refresh: Makefile
   1.125  	@:
   1.126  $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
   1.127  	@for dep in $?; do \
   1.128  	  case '$(am__configure_deps)' in \
   1.129  	    *$$dep*) \
   1.130 -	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
   1.131 -	      cd $(srcdir) && $(AUTOMAKE) --foreign  \
   1.132 +	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
   1.133 +	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
   1.134  		&& exit 0; \
   1.135  	      exit 1;; \
   1.136  	  esac; \
   1.137  	done; \
   1.138 -	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
   1.139 -	cd $(top_srcdir) && \
   1.140 -	  $(AUTOMAKE) --foreign  Makefile
   1.141 +	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
   1.142 +	$(am__cd) $(top_srcdir) && \
   1.143 +	  $(AUTOMAKE) --foreign Makefile
   1.144  .PRECIOUS: Makefile
   1.145  Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
   1.146  	@case '$?' in \
   1.147 @@ -350,9 +378,10 @@
   1.148  	$(SHELL) ./config.status --recheck
   1.149  
   1.150  $(top_srcdir)/configure:  $(am__configure_deps)
   1.151 -	cd $(srcdir) && $(AUTOCONF)
   1.152 +	$(am__cd) $(srcdir) && $(AUTOCONF)
   1.153  $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
   1.154 -	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
   1.155 +	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
   1.156 +$(am__aclocal_m4_deps):
   1.157  SDL2_image.spec: $(top_builddir)/config.status $(srcdir)/SDL2_image.spec.in
   1.158  	cd $(top_builddir) && $(SHELL) ./config.status $@
   1.159  SDL2_image.pc: $(top_builddir)/config.status $(srcdir)/SDL2_image.pc.in
   1.160 @@ -360,20 +389,24 @@
   1.161  install-libLTLIBRARIES: $(lib_LTLIBRARIES)
   1.162  	@$(NORMAL_INSTALL)
   1.163  	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
   1.164 -	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
   1.165 +	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
   1.166 +	list2=; for p in $$list; do \
   1.167  	  if test -f $$p; then \
   1.168 -	    f=$(am__strip_dir) \
   1.169 -	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
   1.170 -	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
   1.171 +	    list2="$$list2 $$p"; \
   1.172  	  else :; fi; \
   1.173 -	done
   1.174 +	done; \
   1.175 +	test -z "$$list2" || { \
   1.176 +	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
   1.177 +	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
   1.178 +	}
   1.179  
   1.180  uninstall-libLTLIBRARIES:
   1.181  	@$(NORMAL_UNINSTALL)
   1.182 -	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
   1.183 -	  p=$(am__strip_dir) \
   1.184 -	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
   1.185 -	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
   1.186 +	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
   1.187 +	for p in $$list; do \
   1.188 +	  $(am__strip_dir) \
   1.189 +	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
   1.190 +	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
   1.191  	done
   1.192  
   1.193  clean-libLTLIBRARIES:
   1.194 @@ -384,16 +417,18 @@
   1.195  	  echo "rm -f \"$${dir}/so_locations\""; \
   1.196  	  rm -f "$${dir}/so_locations"; \
   1.197  	done
   1.198 -libSDL2_image.la: $(libSDL2_image_la_OBJECTS) $(libSDL2_image_la_DEPENDENCIES) 
   1.199 +libSDL2_image.la: $(libSDL2_image_la_OBJECTS) $(libSDL2_image_la_DEPENDENCIES) $(EXTRA_libSDL2_image_la_DEPENDENCIES) 
   1.200  	$(libSDL2_image_la_LINK) -rpath $(libdir) $(libSDL2_image_la_OBJECTS) $(libSDL2_image_la_LIBADD) $(LIBS)
   1.201  
   1.202  clean-noinstPROGRAMS:
   1.203 -	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
   1.204 -	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
   1.205 -	  echo " rm -f $$p $$f"; \
   1.206 -	  rm -f $$p $$f ; \
   1.207 -	done
   1.208 -showimage$(EXEEXT): $(showimage_OBJECTS) $(showimage_DEPENDENCIES) 
   1.209 +	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
   1.210 +	echo " rm -f" $$list; \
   1.211 +	rm -f $$list || exit $$?; \
   1.212 +	test -n "$(EXEEXT)" || exit 0; \
   1.213 +	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
   1.214 +	echo " rm -f" $$list; \
   1.215 +	rm -f $$list
   1.216 +showimage$(EXEEXT): $(showimage_OBJECTS) $(showimage_DEPENDENCIES) $(EXTRA_showimage_DEPENDENCIES) 
   1.217  	@rm -f showimage$(EXEEXT)
   1.218  	$(LINK) $(showimage_OBJECTS) $(showimage_LDADD) $(LIBS)
   1.219  
   1.220 @@ -422,42 +457,42 @@
   1.221  
   1.222  .c.o:
   1.223  @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   1.224 -@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.225 +@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.226  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   1.227  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   1.228  @am__fastdepCC_FALSE@	$(COMPILE) -c $<
   1.229  
   1.230  .c.obj:
   1.231  @am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
   1.232 -@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.233 +@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.234  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   1.235  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   1.236  @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
   1.237  
   1.238  .c.lo:
   1.239  @am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   1.240 -@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   1.241 +@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   1.242  @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
   1.243  @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   1.244  @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
   1.245  
   1.246  .m.o:
   1.247  @am__fastdepOBJC_TRUE@	$(OBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   1.248 -@am__fastdepOBJC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.249 +@am__fastdepOBJC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.250  @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   1.251  @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   1.252  @am__fastdepOBJC_FALSE@	$(OBJCCOMPILE) -c -o $@ $<
   1.253  
   1.254  .m.obj:
   1.255  @am__fastdepOBJC_TRUE@	$(OBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
   1.256 -@am__fastdepOBJC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.257 +@am__fastdepOBJC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
   1.258  @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
   1.259  @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   1.260  @am__fastdepOBJC_FALSE@	$(OBJCCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
   1.261  
   1.262  .m.lo:
   1.263  @am__fastdepOBJC_TRUE@	$(LTOBJCCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
   1.264 -@am__fastdepOBJC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   1.265 +@am__fastdepOBJC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
   1.266  @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
   1.267  @AMDEP_TRUE@@am__fastdepOBJC_FALSE@	DEPDIR=$(DEPDIR) $(OBJCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
   1.268  @am__fastdepOBJC_FALSE@	$(LTOBJCCOMPILE) -c -o $@ $<
   1.269 @@ -469,93 +504,99 @@
   1.270  	-rm -rf .libs _libs
   1.271  
   1.272  distclean-libtool:
   1.273 -	-rm -f libtool
   1.274 +	-rm -f libtool config.lt
   1.275  install-pkgconfigDATA: $(pkgconfig_DATA)
   1.276  	@$(NORMAL_INSTALL)
   1.277  	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
   1.278 -	@list='$(pkgconfig_DATA)'; for p in $$list; do \
   1.279 +	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
   1.280 +	for p in $$list; do \
   1.281  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
   1.282 -	  f=$(am__strip_dir) \
   1.283 -	  echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
   1.284 -	  $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
   1.285 +	  echo "$$d$$p"; \
   1.286 +	done | $(am__base_list) | \
   1.287 +	while read files; do \
   1.288 +	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
   1.289 +	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
   1.290  	done
   1.291  
   1.292  uninstall-pkgconfigDATA:
   1.293  	@$(NORMAL_UNINSTALL)
   1.294 -	@list='$(pkgconfig_DATA)'; for p in $$list; do \
   1.295 -	  f=$(am__strip_dir) \
   1.296 -	  echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
   1.297 -	  rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
   1.298 -	done
   1.299 +	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
   1.300 +	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
   1.301 +	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
   1.302  install-libSDL2_imageincludeHEADERS: $(libSDL2_imageinclude_HEADERS)
   1.303  	@$(NORMAL_INSTALL)
   1.304  	test -z "$(libSDL2_imageincludedir)" || $(MKDIR_P) "$(DESTDIR)$(libSDL2_imageincludedir)"
   1.305 -	@list='$(libSDL2_imageinclude_HEADERS)'; for p in $$list; do \
   1.306 +	@list='$(libSDL2_imageinclude_HEADERS)'; test -n "$(libSDL2_imageincludedir)" || list=; \
   1.307 +	for p in $$list; do \
   1.308  	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
   1.309 -	  f=$(am__strip_dir) \
   1.310 -	  echo " $(libSDL2_imageincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(libSDL2_imageincludedir)/$$f'"; \
   1.311 -	  $(libSDL2_imageincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(libSDL2_imageincludedir)/$$f"; \
   1.312 +	  echo "$$d$$p"; \
   1.313 +	done | $(am__base_list) | \
   1.314 +	while read files; do \
   1.315 +	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libSDL2_imageincludedir)'"; \
   1.316 +	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(libSDL2_imageincludedir)" || exit $$?; \
   1.317  	done
   1.318  
   1.319  uninstall-libSDL2_imageincludeHEADERS:
   1.320  	@$(NORMAL_UNINSTALL)
   1.321 -	@list='$(libSDL2_imageinclude_HEADERS)'; for p in $$list; do \
   1.322 -	  f=$(am__strip_dir) \
   1.323 -	  echo " rm -f '$(DESTDIR)$(libSDL2_imageincludedir)/$$f'"; \
   1.324 -	  rm -f "$(DESTDIR)$(libSDL2_imageincludedir)/$$f"; \
   1.325 -	done
   1.326 +	@list='$(libSDL2_imageinclude_HEADERS)'; test -n "$(libSDL2_imageincludedir)" || list=; \
   1.327 +	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
   1.328 +	dir='$(DESTDIR)$(libSDL2_imageincludedir)'; $(am__uninstall_files_from_dir)
   1.329  
   1.330  ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
   1.331  	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
   1.332  	unique=`for i in $$list; do \
   1.333  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   1.334  	  done | \
   1.335 -	  $(AWK) '    { files[$$0] = 1; } \
   1.336 -	       END { for (i in files) print i; }'`; \
   1.337 +	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
   1.338 +	      END { if (nonempty) { for (i in files) print i; }; }'`; \
   1.339  	mkid -fID $$unique
   1.340  tags: TAGS
   1.341  
   1.342  TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
   1.343  		$(TAGS_FILES) $(LISP)
   1.344 -	tags=; \
   1.345 +	set x; \
   1.346  	here=`pwd`; \
   1.347  	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
   1.348  	unique=`for i in $$list; do \
   1.349  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   1.350  	  done | \
   1.351 -	  $(AWK) '    { files[$$0] = 1; } \
   1.352 -	       END { for (i in files) print i; }'`; \
   1.353 -	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
   1.354 +	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
   1.355 +	      END { if (nonempty) { for (i in files) print i; }; }'`; \
   1.356 +	shift; \
   1.357 +	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
   1.358  	  test -n "$$unique" || unique=$$empty_fix; \
   1.359 -	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   1.360 -	    $$tags $$unique; \
   1.361 +	  if test $$# -gt 0; then \
   1.362 +	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   1.363 +	      "$$@" $$unique; \
   1.364 +	  else \
   1.365 +	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
   1.366 +	      $$unique; \
   1.367 +	  fi; \
   1.368  	fi
   1.369  ctags: CTAGS
   1.370  CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
   1.371  		$(TAGS_FILES) $(LISP)
   1.372 -	tags=; \
   1.373 -	here=`pwd`; \
   1.374  	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
   1.375  	unique=`for i in $$list; do \
   1.376  	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   1.377  	  done | \
   1.378 -	  $(AWK) '    { files[$$0] = 1; } \
   1.379 -	       END { for (i in files) print i; }'`; \
   1.380 -	test -z "$(CTAGS_ARGS)$$tags$$unique" \
   1.381 +	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
   1.382 +	      END { if (nonempty) { for (i in files) print i; }; }'`; \
   1.383 +	test -z "$(CTAGS_ARGS)$$unique" \
   1.384  	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
   1.385 -	     $$tags $$unique
   1.386 +	     $$unique
   1.387  
   1.388  GTAGS:
   1.389  	here=`$(am__cd) $(top_builddir) && pwd` \
   1.390 -	  && cd $(top_srcdir) \
   1.391 -	  && gtags -i $(GTAGS_ARGS) $$here
   1.392 +	  && $(am__cd) $(top_srcdir) \
   1.393 +	  && gtags -i $(GTAGS_ARGS) "$$here"
   1.394  
   1.395  distclean-tags:
   1.396  	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
   1.397  
   1.398  distdir: $(DISTFILES)
   1.399  	$(am__remove_distdir)
   1.400 -	test -d $(distdir) || mkdir $(distdir)
   1.401 +	test -d "$(distdir)" || mkdir "$(distdir)"
   1.402  	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1.403  	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
   1.404  	list='$(DISTFILES)'; \
   1.405 @@ -571,27 +612,45 @@
   1.406  	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
   1.407  	  if test -d $$d/$$file; then \
   1.408  	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
   1.409 +	    if test -d "$(distdir)/$$file"; then \
   1.410 +	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1.411 +	    fi; \
   1.412  	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
   1.413 -	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
   1.414 +	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
   1.415 +	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
   1.416  	    fi; \
   1.417 -	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
   1.418 +	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
   1.419  	  else \
   1.420 -	    test -f $(distdir)/$$file \
   1.421 -	    || cp -p $$d/$$file $(distdir)/$$file \
   1.422 +	    test -f "$(distdir)/$$file" \
   1.423 +	    || cp -p $$d/$$file "$(distdir)/$$file" \
   1.424  	    || exit 1; \
   1.425  	  fi; \
   1.426  	done
   1.427 -	-find $(distdir) -type d ! -perm -755 -exec chmod u+rwx,go+rx {} \; -o \
   1.428 +	-test -n "$(am__skip_mode_fix)" \
   1.429 +	|| find "$(distdir)" -type d ! -perm -755 \
   1.430 +		-exec chmod u+rwx,go+rx {} \; -o \
   1.431  	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
   1.432  	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
   1.433  	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
   1.434 -	|| chmod -R a+r $(distdir)
   1.435 +	|| chmod -R a+r "$(distdir)"
   1.436  dist-gzip: distdir
   1.437  	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
   1.438  	$(am__remove_distdir)
   1.439  
   1.440  dist-bzip2: distdir
   1.441 -	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
   1.442 +	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
   1.443 +	$(am__remove_distdir)
   1.444 +
   1.445 +dist-lzip: distdir
   1.446 +	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
   1.447 +	$(am__remove_distdir)
   1.448 +
   1.449 +dist-lzma: distdir
   1.450 +	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
   1.451 +	$(am__remove_distdir)
   1.452 +
   1.453 +dist-xz: distdir
   1.454 +	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
   1.455  	$(am__remove_distdir)
   1.456  
   1.457  dist-tarZ: distdir
   1.458 @@ -617,13 +676,19 @@
   1.459  distcheck: dist
   1.460  	case '$(DIST_ARCHIVES)' in \
   1.461  	*.tar.gz*) \
   1.462 -	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
   1.463 +	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
   1.464  	*.tar.bz2*) \
   1.465 -	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
   1.466 +	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
   1.467 +	*.tar.lzma*) \
   1.468 +	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
   1.469 +	*.tar.lz*) \
   1.470 +	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
   1.471 +	*.tar.xz*) \
   1.472 +	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
   1.473  	*.tar.Z*) \
   1.474  	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
   1.475  	*.shar.gz*) \
   1.476 -	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
   1.477 +	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
   1.478  	*.zip*) \
   1.479  	  unzip $(distdir).zip ;;\
   1.480  	esac
   1.481 @@ -631,10 +696,13 @@
   1.482  	mkdir $(distdir)/_build
   1.483  	mkdir $(distdir)/_inst
   1.484  	chmod a-w $(distdir)
   1.485 +	test -d $(distdir)/_build || exit 0; \
   1.486  	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
   1.487  	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
   1.488 -	  && cd $(distdir)/_build \
   1.489 +	  && am__cwd=`pwd` \
   1.490 +	  && $(am__cd) $(distdir)/_build \
   1.491  	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
   1.492 +	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
   1.493  	    $(DISTCHECK_CONFIGURE_FLAGS) \
   1.494  	  && $(MAKE) $(AM_MAKEFLAGS) \
   1.495  	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
   1.496 @@ -655,14 +723,24 @@
   1.497  	  && rm -rf "$$dc_destdir" \
   1.498  	  && $(MAKE) $(AM_MAKEFLAGS) dist \
   1.499  	  && rm -rf $(DIST_ARCHIVES) \
   1.500 -	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
   1.501 +	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
   1.502 +	  && cd "$$am__cwd" \
   1.503 +	  || exit 1
   1.504  	$(am__remove_distdir)
   1.505  	@(echo "$(distdir) archives ready for distribution: "; \
   1.506  	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
   1.507  	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
   1.508  distuninstallcheck:
   1.509 -	@cd $(distuninstallcheck_dir) \
   1.510 -	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
   1.511 +	@test -n '$(distuninstallcheck_dir)' || { \
   1.512 +	  echo 'ERROR: trying to run $@ with an empty' \
   1.513 +	       '$$(distuninstallcheck_dir)' >&2; \
   1.514 +	  exit 1; \
   1.515 +	}; \
   1.516 +	$(am__cd) '$(distuninstallcheck_dir)' || { \
   1.517 +	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
   1.518 +	  exit 1; \
   1.519 +	}; \
   1.520 +	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
   1.521  	   || { echo "ERROR: files left after uninstall:" ; \
   1.522  	        if test -n "$(DESTDIR)"; then \
   1.523  	          echo "  (check DESTDIR support)"; \
   1.524 @@ -695,16 +773,22 @@
   1.525  
   1.526  installcheck: installcheck-am
   1.527  install-strip:
   1.528 -	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1.529 -	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1.530 -	  `test -z '$(STRIP)' || \
   1.531 -	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
   1.532 +	if test -z '$(STRIP)'; then \
   1.533 +	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1.534 +	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1.535 +	      install; \
   1.536 +	else \
   1.537 +	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
   1.538 +	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
   1.539 +	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
   1.540 +	fi
   1.541  mostlyclean-generic:
   1.542  
   1.543  clean-generic:
   1.544  
   1.545  distclean-generic:
   1.546  	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
   1.547 +	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
   1.548  
   1.549  maintainer-clean-generic:
   1.550  	@echo "This command is intended for maintainers to use"
   1.551 @@ -727,6 +811,8 @@
   1.552  
   1.553  html: html-am
   1.554  
   1.555 +html-am:
   1.556 +
   1.557  info: info-am
   1.558  
   1.559  info-am:
   1.560 @@ -736,18 +822,28 @@
   1.561  
   1.562  install-dvi: install-dvi-am
   1.563  
   1.564 +install-dvi-am:
   1.565 +
   1.566  install-exec-am: install-libLTLIBRARIES
   1.567  
   1.568  install-html: install-html-am
   1.569  
   1.570 +install-html-am:
   1.571 +
   1.572  install-info: install-info-am
   1.573  
   1.574 +install-info-am:
   1.575 +
   1.576  install-man:
   1.577  
   1.578  install-pdf: install-pdf-am
   1.579  
   1.580 +install-pdf-am:
   1.581 +
   1.582  install-ps: install-ps-am
   1.583  
   1.584 +install-ps-am:
   1.585 +
   1.586  installcheck-am:
   1.587  
   1.588  maintainer-clean: maintainer-clean-am
   1.589 @@ -778,21 +874,21 @@
   1.590  .PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
   1.591  	clean-generic clean-libLTLIBRARIES clean-libtool \
   1.592  	clean-noinstPROGRAMS ctags dist dist-all dist-bzip2 dist-gzip \
   1.593 -	dist-shar dist-tarZ dist-zip distcheck distclean \
   1.594 -	distclean-compile distclean-generic distclean-libtool \
   1.595 -	distclean-tags distcleancheck distdir distuninstallcheck dvi \
   1.596 -	dvi-am html html-am info info-am install install-am \
   1.597 -	install-data install-data-am install-dvi install-dvi-am \
   1.598 -	install-exec install-exec-am install-html install-html-am \
   1.599 -	install-info install-info-am install-libLTLIBRARIES \
   1.600 -	install-libSDL2_imageincludeHEADERS install-man install-pdf \
   1.601 -	install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
   1.602 -	install-strip installcheck installcheck-am installdirs \
   1.603 -	maintainer-clean maintainer-clean-generic mostlyclean \
   1.604 -	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
   1.605 -	pdf pdf-am ps ps-am tags uninstall uninstall-am \
   1.606 -	uninstall-libLTLIBRARIES uninstall-libSDL2_imageincludeHEADERS \
   1.607 -	uninstall-pkgconfigDATA
   1.608 +	dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
   1.609 +	distcheck distclean distclean-compile distclean-generic \
   1.610 +	distclean-libtool distclean-tags distcleancheck distdir \
   1.611 +	distuninstallcheck dvi dvi-am html html-am info info-am \
   1.612 +	install install-am install-data install-data-am install-dvi \
   1.613 +	install-dvi-am install-exec install-exec-am install-html \
   1.614 +	install-html-am install-info install-info-am \
   1.615 +	install-libLTLIBRARIES install-libSDL2_imageincludeHEADERS \
   1.616 +	install-man install-pdf install-pdf-am install-pkgconfigDATA \
   1.617 +	install-ps install-ps-am install-strip installcheck \
   1.618 +	installcheck-am installdirs maintainer-clean \
   1.619 +	maintainer-clean-generic mostlyclean mostlyclean-compile \
   1.620 +	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
   1.621 +	tags uninstall uninstall-am uninstall-libLTLIBRARIES \
   1.622 +	uninstall-libSDL2_imageincludeHEADERS uninstall-pkgconfigDATA
   1.623  
   1.624  
   1.625  %.o : %.rc
   1.626 @@ -804,6 +900,7 @@
   1.627  # Rule to build RPM distribution package
   1.628  rpm: $(PACKAGE)-$(VERSION).tar.gz
   1.629  	rpmbuild -ta $(PACKAGE)-$(VERSION).tar.gz
   1.630 +
   1.631  # Tell versions [3.59,3.63) of GNU make to not export all variables.
   1.632  # Otherwise a system limit (for SysV at least) may be exceeded.
   1.633  .NOEXPORT: